summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDan Winship <danw@novell.com>2006-05-05 20:26:04 +0000
committerDan Winship <danw@novell.com>2006-05-05 20:26:04 +0000
commit923662cb19e0ddd18c375071f25b0a6faec93f64 (patch)
tree55bf67dfa5ef9502614503dbb5db71f76f7c03f9 /autogen.sh
parent6a37f812a0850f297c5519569df231e340a6f8c9 (diff)
require intltool for option-description translation
translate compiz.schemas.in into compiz.schemas
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index e81f9891..33985dc5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -7,6 +7,19 @@ ORIGDIR=`pwd`
cd $srcdir
autoreconf -v --install || exit 1
+
+intltoolize --version > /dev/null 2>&1 || {
+ echo "intltoolize not found. Please install intltool";
+ exit 1;
+}
+# work around bgo 323968
+ln -s ../po config/po
+intltoolize --force --copy --automake || exit 1
+rm config/po
+# work around another problem with older versions of intltool
+sed -e 's/^mkinstalldirs.*/MKINSTALLDIRS=mkdir -p/' po/Makefile.in.in > \
+ po/Makefile.in.in.tmp && mv po/Makefile.in.in.tmp po/Makefile.in.in
+
cd $ORIGDIR || exit $?
$srcdir/configure --enable-maintainer-mode "$@"